For the complete documentation index, see llms.txt. This page is also available as Markdown.

Derived Relation Types

Find derived relation types matching criteria

get

Returns derived relation types matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. By default a result containing 1000 derived relation types is returned.

This endpoint is part of a public preview feature and is subject to change. It is only available in commercial environments. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.

Authorizations
AuthorizationstringRequired
Query parameters
sourceTypeIdstring · uuidOptional

The id of the source Type of the Derived Relation Types to search for.

sourceTypeNamestringOptional

The name of the source Type of the Derived Relation Types to search for.

rolestringOptional

The role of the Derived Relation Types to search for.

coRolestringOptional

The co-role of the Derived Relation Types to search for.

targetTypeIdstring · uuidOptional

The id of the target Type of the Derived Relation Types to search for.

targetTypeNamestringOptional

The name of the target Type of the Derived Relation Types to search for.

sortFieldstring · enumOptional

The field that should be used as reference for sorting.

Default: ROLEPossible values:
sortOrderstring · enumOptional

The order in which the results will be returned.

Default: ASCPossible values:
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32 · max: 1000Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped.

Default: -1
Responses
200

Search ran successfully

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/derivedRelationTypes
200

Search ran successfully

Add a derived relation type

post

Adds a new derived relation type with the given parameters.

Note: The request body format of this API differs from the JSON format used in the Collibra UI's derived relation type editor. The API uses a structured path model with sourceNode, intermediateNodes, and targetNode objects. Do not copy JSON directly from the UI editor into API requests.

This endpoint is part of a public preview feature and is subject to change. It is only available in commercial environments. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.

Authorizations
AuthorizationstringRequired
Body

A request to add a Derived Relation Type.

idstring · uuidOptional

The id of the Derived Relation Type. If not specified, a unique id will be generated.

publicIdstring · min: 1 · max: 260Optional

The public id of the Derived Relation Type. If not specified, a unique public id will be generated.

descriptionstring · max: 4000Optional

The description of the Derived Relation Type.

sourceTypePublicIdstring · min: 1 · max: 260Required

The public id of the source type of the Derived Relation Type.

targetTypePublicIdstring · min: 1 · max: 260Required

The public id of the target type of the Derived Relation Type.

rolestring · min: 1 · max: 255Required

The role of the Derived Relation Type.

coRolestring · min: 1 · max: 255Required

The co-role of the Derived Relation Type.

Responses
201

Derived relation type successfully added.

application/json
post/derivedRelationTypes

Get derived relation type by ID

get

Returns the derived relation type having the given ID.

This endpoint is part of a public preview feature and is subject to change. It is only available in commercial environments. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.

Authorizations
AuthorizationstringRequired
Path parameters
derivedRelationTypeIdstring · uuidRequired

The ID of the derived relation type

Responses
200

Derived relation type found

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
publicIdstringOptional

The public id of the Derived Relation Type.

Example: DataItemIsRelatedToDataItem_C
descriptionstringOptional

The description of the Derived Relation Type.

Example: Expresses a relation between two data items.
rolestringOptional

The role of the Derived Relation Type.

Example: contains
coRolestringOptional

The co-role of the Derived Relation Type.

Example: is contained by
get/derivedRelationTypes/{derivedRelationTypeId}

Remove derived relation type by ID

delete

Removes the derived relation type having the given ID. Removal is idempotent: removing a derived relation type that no longer exists also succeeds.

This endpoint is part of a public preview feature and is subject to change. It is only available in commercial environments. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.

Authorizations
AuthorizationstringRequired
Path parameters
derivedRelationTypeIdstring · uuidRequired
Responses
204

Derived relation type successfully removed

No content

delete/derivedRelationTypes/{derivedRelationTypeId}

No content

Change derived relation type

patch

Changes the derived relation type using the given parameters. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Note: The request body format of this API differs from the JSON format used in the Collibra UI's derived relation type editor. The API uses a structured path model with sourceNode, intermediateNodes, and targetNode objects. Do not copy JSON directly from the UI editor into API requests.

This endpoint is part of a public preview feature and is subject to change. It is only available in commercial environments. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.

Authorizations
AuthorizationstringRequired
Path parameters
derivedRelationTypeIdstring · uuidRequired

The unique identifier of the derived relationType

Body

A request to change a Derived Relation Type.

publicIdstring · min: 1 · max: 260Optional

The public id of the Derived Relation Type.

descriptionstring · max: 4000Optional

The description of the Derived Relation Type.

sourceTypePublicIdstringOptional

The public id of the source type of the Derived Relation Type.

targetTypePublicIdstringOptional

The public id of the target type of the Derived Relation Type.

rolestring · min: 1 · max: 255Optional

The role of the Derived Relation Type.

coRolestring · min: 1 · max: 255Optional

The co-role of the Derived Relation Type.

Responses
200

Derived relation type changed

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
publicIdstringOptional

The public id of the Derived Relation Type.

Example: DataItemIsRelatedToDataItem_C
descriptionstringOptional

The description of the Derived Relation Type.

Example: Expresses a relation between two data items.
rolestringOptional

The role of the Derived Relation Type.

Example: contains
coRolestringOptional

The co-role of the Derived Relation Type.

Example: is contained by
patch/derivedRelationTypes/{derivedRelationTypeId}

Get the derived relation type by public ID

get

Returns the derived relation type identified by the given public ID.

This endpoint is part of a public preview feature and is subject to change. It is only available in commercial environments. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.

Authorizations
AuthorizationstringRequired
Path parameters
publicIdstringRequired

The public identifier of the derived relation type

Responses
200

Derived relation type found

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
publicIdstringOptional

The public id of the Derived Relation Type.

Example: DataItemIsRelatedToDataItem_C
descriptionstringOptional

The description of the Derived Relation Type.

Example: Expresses a relation between two data items.
rolestringOptional

The role of the Derived Relation Type.

Example: contains
coRolestringOptional

The co-role of the Derived Relation Type.

Example: is contained by
get/derivedRelationTypes/publicId/{publicId}

Last updated

Was this helpful?